// TimerDlg.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CTimerDlg dialog
//{{AFX_INCLUDES()
#include "timer.h"
//}}AFX_INCLUDES

class CTimerDlg : public CDialog
{
// Construction
public:
	CTimerDlg(CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(CTimerDlg)
	enum { IDD = IDD_DIALOG1 };
	CTimer	m_Timer;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CTimerDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CTimerDlg)
	afx_msg void OnSetalarm();
	afx_msg void OnAlarmExpiredTimerctrl1(long TicksNow);
	DECLARE_EVENTSINK_MAP()
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};
